import React, { useState, useRef } from 'react'
import copy from './copy.png'
import './App.css'

function App() {
  const [avatarLink, setAvatarLink] = useState(null)

  const textAreaRef = useRef(null)

  function copyToClipboard(e) {
    alert('Текст скопирован в буфер обмена')
    textAreaRef.current.select()
    document.execCommand('copy')
  }

  const getPhoto = () => {
    fetch('http://192.168.88.31:5002/api/generate')
      .then((response) => response.json())
      .then((responseJson) => setAvatarLink(responseJson.url))
  }

  return (
    <div className='App'>
      {!avatarLink ? (
        <h1 className='title'> Нажмите Сгенерировать аватарку ! </h1>
      ) : (
        <div>
          <div className='avatar'>
            <img src={avatarLink} alt='avatar' />
          </div>
          <div className='avatarContainer'>
            <textarea ref={textAreaRef} value={avatarLink} readOnly />
            <img
              onClick={() => copyToClipboard()}
              className='copyImage'
              src={copy}
              alt=''
            />
          </div>
        </div>
      )}
      <button className='button-avatar' onClick={() => getPhoto()}>
        Сгенерировать аватарку
      </button>
    </div>
  )
}

export default App
